<?php
header_remove('Access-Control-Allow-Origin');
header('Access-Control-Allow-Origin: *');
error_reporting(0);

require 'controller/printers.config';

function _imprimirTicketRecetaAction(){

  $nombreTicketera = TICKETERA_FARMACIA_PRINCIPAL;

  $TramaJson = json_decode($_POST['tramaJson']);
  // print_r($TramaJson);
  $newTrama = base64_decode($TramaJson);

  $datos = (object) unserialize($newTrama);

  $titulo_ticket = base64_decode($datos->titulo_ticket);
  $nombrepaciente = base64_decode($datos->nombrepaciente);
  $nrodocumento = base64_decode($datos->nrodocumento);
  $ubicacion = base64_decode($datos->ubicacion);
  $cama = base64_decode($datos->cama);
  $IdCuentaAtencion = base64_decode($datos->IdCuentaAtencion);
  $lciexIngreso = base64_decode($datos->lciexIngreso);
  $lciexIngreso = unserialize($lciexIngreso);
  $detalleReceta = base64_decode($datos->detalleReceta);
  $detalleReceta = unserialize($detalleReceta);
  $nombreMedico = base64_decode($datos->nombreMedico);
  $Edad = base64_decode($datos->Edad);
  $NroHistoriaClinica = base64_decode($datos->NroHistoriaClinica);
  // print_r($datos);
  $statusCode = 200;
  try {
    require 'view/ticket_receta.php';
  } catch (Exception $e) {
    $statusCode = 500;
  }

  $response = array();
  $response['statusCode'] = $statusCode;

  header('Content-Type: application/json');
	echo json_encode($response);
}

